// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package main

import (
	"github.com/spf13/cobra"
	"xbus.io/go-xbus/v4"
	"xbus.io/go-xbus/v4/cmd"
	_ "xbus.io/go-xbus/v4/demo"

	"xbus.io/xbus/utils/license"
	"xbus.io/xbus/version"
)

func init() {
	xbus.ClientName = "xbus-client"
	xbus.ClientVersion = version.Version

	cmd.RootCmd.Run = version.Cmd
	flags := cmd.RootCmd.PersistentFlags()
	version.InitFlags(flags)

	cobra.OnInitialize(func() {
		license.SetupLicenseWatcher(cmd.Logger)
	})
	license.SetupCmd(cmd.RootCmd)
}

func main() {
	license.DisplayLicenseOnStart()
	cmd.Execute()
}
