// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package cmd

import (
	"github.com/spf13/cobra"
	"xbus.io/go-xbus/v4/api"
)

var pipelineCmd = &cobra.Command{
	Use:   "pipeline",
	Short: "Pipeline configuration subcommands",
	Long:  "Pipeline subcommands allow to list and modify pipelines",
}

func pipelineInfo(identifier, version string) *api.PipelineInfo {
	var info api.PipelineInfo
	if id, err := api.UUIDFromString(identifier); err == nil {
		info.ID = id.ToBytes()
	} else {
		info.Name = identifier
		info.Version = version
	}
	return &info
}

func init() {
	RootCmd.AddCommand(pipelineCmd)
}
