// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package cmd

import (
	"fmt"
	"os"

	"github.com/spf13/cobra"
	"xbus.io/go-xbus/v4/api"
)

var pmCloseCmd = &cobra.Command{
	Use:   "close",
	Short: "Indicate a postportem process is closed",
	Run: func(_ *cobra.Command, args []string) {
		fmt.Println(args)
		os.Exit(setStatus(
			api.MustUUIDFromString(args[0]),
			api.PMProcess_CLOSED,
			args[1]))
	},
}

func init() {
	pmCmd.AddCommand(pmCloseCmd)
}
