// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package cmd

import (
	"os"

	"github.com/spf13/cobra"
	"xbus.io/go-xbus/v4/api"
)

var pmOpenCmd = &cobra.Command{
	Use:   "open",
	Short: "Indicate a postportem process is being addressed",
	Run: func(_ *cobra.Command, args []string) {
		os.Exit(setStatus(
			api.MustUUIDFromString(args[0]),
			api.PMProcess_OPENED,
			args[1]))
	},
}

func init() {
	pmCmd.AddCommand(pmOpenCmd)
}
