// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package cmd

import (
	"os"

	"github.com/spf13/cobra"
	"xbus.io/go-xbus/v4/api"
)

var pmResetCmd = &cobra.Command{
	Use:   "reset",
	Short: "Reset a postportem process status to 'new'",
	Run: func(_ *cobra.Command, args []string) {
		os.Exit(setStatus(
			api.MustUUIDFromString(args[0]),
			api.PMProcess_NEW,
			args[1]))
	},
}

func init() {
	pmCmd.AddCommand(pmResetCmd)
}
