// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package cmd

import (
	"os"

	"github.com/spf13/cobra"
	"xbus.io/go-xbus/v4/api/control"
)

var psPauseCmd = &cobra.Command{
	Use:   "pause",
	Short: "Pause a process",
	Run: func(cmd *cobra.Command, args []string) {
		os.Exit(doCommand(
			args, filterFlags{}, control.ProcessControlRequest_PAUSE,
			cmd.Flag("yes").Value.String() == "true",
		))
	},
}

func init() {
	psCmd.AddCommand(psPauseCmd)
}
