// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package cmd

import (
	"os"

	"github.com/spf13/cobra"
)

// renewCertCmd is the "renew-cert" command.
var renewCertCmd = &cobra.Command{
	Use:   "renew-cert",
	Short: "Re-generate a CSR and ask Xbus for its registration.",
	Long: `Re-generate a Certificate Signing Request and optionnaly a private key,
then do to register`,
	Run: func(cmd *cobra.Command, _ []string) {
		renewKey := cmd.Flag("newkey").Value.String() == "true"
		os.Exit(doRegister(renewKey, true))
	},
}

func init() {
	RootCmd.AddCommand(renewCertCmd)
	flags := renewCertCmd.PersistentFlags()
	flags.Bool("newkey", false, "Also generate a new private key")
}
