// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package fullenv

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestAccountRegisterWithExistingActors(t *testing.T) {
	env, _ := NewFullEnvForTest(t, "account-register", "account-register.yaml")
	if err := env.Init(); err != nil {
		t.Fatal(err)
	}

	defer env.Close()

	client2 := env.GetClient("client2")

	if client2 == nil {
		t.Fatal("Could not get client2 instance")
	}

	if err := client2.Connect(); err != nil {
		t.Fatal(err)
	}
	_, err := client2.Register()

	assert.Contains(t, err.Error(),
		"CLIENT error: 00000000-0000-0000-0000-000000000000: Actor consumer-1 is attached to a different account (")
}
