// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package control

import (
	"context"

	"xbus.io/go-xbus/v4/api/control"
)

type logsServer struct {
	*Service
}

func (s logsServer) Purge(
	ctx context.Context, req *control.LogsPurgeRequest,
	send func(*control.LogsPurgeReply),
) (
	err error,
) {
	send(&control.LogsPurgeReply{
		Count: s.o.LogStorage.PurgeBefore(ctx, req.Before.AsTime()),
	})
	return nil
}

func (s logsServer) GetStorageStat(ctx context.Context) (*control.StorageStat, error) {
	entry, err := s.o.LogStorage.Stat(ctx)
	if err != nil {
		return nil, err
	}
	return &control.StorageStat{
		Entries: []*control.StorageStat_Entry{entry},
	}, nil
}
