// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package cache

import (
	"xbus.io/go-xbus/v4/api"

	"xbus.io/xbus/storage"
)

func estateToPos(
	state storage.EnvelopeState,
) storage.EnvelopeReadPos {
	pos := storage.EnvelopeReadPos{
		Complete: state.Status == storage.EnvelopeStorageReceptionComplete,
		Events:   make(map[api.UUID]storage.EventReadPos),
	}
	for _, e := range state.Events {
		pos.Events[e.ID] = e.ReadPos
	}
	return pos
}
