// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package sql

import (
	"testing"

	"xbus.io/xbus/storage"
	"xbus.io/xbus/testutils"
	"xbus.io/xbus/testutils/sqldb"
	storagetest "xbus.io/xbus/testutils/storage"
)

func jobStorageFactory(tb testing.TB) (storage.JobStorage, func()) {
	tb.Helper()

	testDB := sqldb.GetTestDB(tb)
	if testDB == nil {
		return nil, nil
	}
	_, db := testDB.GetModelDB(1)

	return NewJobStorage(db, *testutils.GetTestLogger(tb).Zero()), func() {
		db.Close()
		testDB.Close()
	}
}

func TestJobStorage(t *testing.T) {
	storagetest.JobStorageTests(t, jobStorageFactory)
}
