package control

import "xbus.io/go-xbus/v4/api"

func (x *AccountIDRequest) GetAccountIDAsUUID() api.UUID {
	return api.MustUUIDFromBytes(x.GetAccountID())
}

func (x *AccountPasswordSetRequest) GetAccountIDAsUUID() api.UUID {
	return api.MustUUIDFromBytes(x.GetAccountID())
}

func (x *PMProcessQueryRequest) GetProcessIDsAsUUIDSlice() api.UUIDSlice {
	return api.MustUUIDSliceFromBytesList(x.GetProcessIDs())
}

func (x *PMProcessSetStatusRequest) GetProcessIDAsUUID() api.UUID {
	return api.MustUUIDFromBytes(x.GetProcessID())
}

func (x *ProcessControlRequest) GetProcessIDAsUUID() api.UUID {
	return api.MustUUIDFromBytes(x.GetProcessID())
}

func (x *ProcessExportRequest) GetProcessIDsAsUUIDSlice() api.UUIDSlice {
	return api.MustUUIDSliceFromBytesList(x.GetProcessIDs())
}

func (x *ProcessPurgeRequest) GetProcessIDsAsUUIDSlice() api.UUIDSlice {
	return api.MustUUIDSliceFromBytesList(x.GetProcessIDs())
}

func (x *ProcessSummary_Entry) GetPipelineIDAsUUID() api.UUID {
	return api.MustUUIDFromBytes(x.GetPipelineID())
}

func (x *ProcessSummary_Entry) GetEmitterIDAsUUID() api.UUID {
	return api.MustUUIDFromBytes(x.GetEmitterID())
}
