package tools

import (
	"bytes"

	"github.com/rs/zerolog"
)

var (
	levelMarker    = []byte(`"level":"`)
	levelMarkerLen = len(levelMarker)
)

func GetZerologMessageLevel(p []byte) zerolog.Level {
	if i := bytes.Index(p, levelMarker); i != -1 {
		first := p[i+levelMarkerLen]
		switch first {
		case 't':
			return zerolog.TraceLevel
		case 'd':
			return zerolog.DebugLevel
		case 'i':
			return zerolog.InfoLevel
		case 'w':
			return zerolog.WarnLevel
		case 'e':
			return zerolog.ErrorLevel
		case 'f':
			return zerolog.FatalLevel
		case 'p':
			return zerolog.PanicLevel
		default:
			return zerolog.WarnLevel
		}
	}
	return zerolog.WarnLevel
}
