package utils

import jsoniter "github.com/json-iterator/go"

type JSONStreamMarshaler interface {
	MarshalJSONStream(*jsoniter.Stream)
}

func JSONStreamWriteArray[T JSONStreamMarshaler](stream *jsoniter.Stream, list []T) {
	stream.WriteArrayStart()
	if len(list) != 0 {
		list[0].MarshalJSONStream(stream)
		if stream.Error != nil {
			return
		}
		for i := range list[1:] {
			stream.WriteMore()
			list[i+1].MarshalJSONStream(stream)
			if stream.Error != nil {
				return
			}
		}
	}
	stream.WriteArrayEnd()
}
